Index Page dafrda_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void dafrda_c ( SpiceInt       handle,
                       SpiceInt       begin,
                       SpiceInt       end,
                       SpiceDouble  * data )
#### Abstract
       Read the double precision data bounded by two addresses within
       a DAF.

       Deprecated:  This routine has been superseded by dafgda_c and
       dafgsr_c.  This routine is supported for purposes of backward
       compatibility only.
#### Required_Reading
       DAF
#### Keywords
       FILES
#### Brief_I/O
       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       handle     I   Handle of a DAF.
       begin,
       end        I   Initial, final address within file.
       data       O   Data contained between begin and end.
#### Detailed_Input
       handle      is the handle of a DAF.

       begin,
       end         are the initial and final addresses of a contiguous
                   set of double precision numbers within a DAF.
                   Presumably, these make up all or part of a particular
                   array.

                   Note that CSPICE DAF addresses begin at 1 as in the
                   FORTRAN version of the SPICE Toolkit.
#### Detailed_Output
       data        are the double precision data contained between
                   the specified addresses within the specified file.
#### Parameters
       None.
#### Exceptions
       1) If `begin' is zero or negative, the error SPICE(DAFNEGADDR)
          is signaled.

       2) If the begin > end, the error SPICE(DAFBEGGTEND)
          is signaled.

       3) If the file associated with `handle' is not of the native
          binary file format this routine signals the error
          SPICE(UNSUPPORTEDBFF).

       4) If `handle' is invalid, routines in the call tree of dafrda_c
          signal an appropriate error.
#### Files
       None.
#### Particulars
       The principal reason that DAFs are so easy to use is that
       the data in each DAF are considered to be one long contiguous
       set of double precision numbers. You can grab data from anywhere
       within a DAF without knowing (or caring) about the physical
       records in which they are stored.

       This routine has been made obsolete by the routines dafgda_c and
       dafgsr_c.  This routine is supported for reasons of backward
       compatibility only.  New software development should utilize
       dafgda_c or dafgsr_c.
#### Examples
       The following code fragment illustrates the use of dafrda_c
       to read data from an imaginary array. The array begins with a
       directory containing 11 epochs. Each pair of epochs bounds
       an interval, and each interval is covered by a set of eight
       osculating elements.

          #include "SpiceUsr.h"

             .
             .
             .

          dafus_c ( sum, nd, ni, dc, ic );
          begin = ic[4];
          end   = ic[5];

          dafrda_c ( handle, begin, begin+10, epochs );

          for ( i = 0;  i < 10;  i++ )
          {
             if (     ( et > epochs[i]   )
                  &&  ( et < epochs[i+1] ) )
             {
                offset = ic[4] + 11 + (i - 1) * 8;
                dafrda_c ( handle, offset+1, offset+8, elements );
                return;
             }
          }
#### Restrictions
       1) This routine is deprecated.  See the routines dafgda_c and
          dafgsr_c.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman    (JPL)
       W.L. Taber      (JPL)
       F.S. Turner     (JPL)
       R.E. Thurman    (JPL)
       I.M. Underwood  (JPL)
#### Version
       -CSPICE Version 1.0.3, 19-MAY-2010 (BVS)

            Index line now states that this routine is deprecated.

       -CSPICE Version 1.0.2, 23-JAN-2008 (EDW)

          Removed a spurious and unneeded "-Declarations"
          tag. The tag's presence prevented the HTML API doc
          script from parsing the function description.

       -CSPICE Version 1.0.1, 27-OCT-2003 (NJB) (FST)

           The header now states that this routine is deprecated.
           The Exceptions header section has been extended.
           Minor additional header updates were made.

       -CSPICE Version 1.0.0, 14-DEC-1999 (NJB) (RET) (IMU) (WLT)
#### Index_Entries
       DEPRECATED read data from daf address
#### Link to routine dafrda_c source file dafrda_c.c

    Wed Jun  9 13:05:20 2010